#include <Timer 2 soft PWM.h>

#FUSES NOMCLR

#define salida pin_d0

int16 POT;
float tiempo;

#INT_TIMER2 //interrupcion por desbordamiento del timer2
void salida_timer()
{
   if (input(salida) == 0)
   {
      delay_us((int16)tiempo);//controla el ancho de pulso positivo
   }
   output_toggle(salida); //cambia el estado del pin_d0 (1/0)
}

void main()
{

   setup_timer_2(T2_DIV_BY_16,235,11);
   
   enable_interrupts(GLOBAL);
   enable_interrupts(INT_TIMER2);
   
   setup_adc(ADC_CLOCK_INTERNAL);

   while(TRUE)
   {
      set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
      delay_ms(10);
      POT = read_adc();// lectura del valor
      
      tiempo = ((int32)POT*8333)/1023;
   }

}
